@charset "UTF-8";
/* dlight */
.dm{}

/* ==================================================
/* SMARTPHONE
================================================== */
@media screen and (max-width: 768px) {

  #gnav {
    z-index: 6000;
  }

  /* OPEN / CLOSE BTNS */
  #gnav > .btn {
    position: absolute;
    top: 16px;
    left: 20px;
    z-index: 1;
    display: inline;
  }
  #gnav > .btn a {
    position: relative;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    width: 24px;
    height: 18px;
    text-decoration: none;
  }
  #gnav > .btn a span {
    width: 100%;
    height: 1px;
    background-color: #24282B;
  }

  .sh--gnav-btn-close {
    position: fixed;
    top: 50px;
    right: 50px;
  }
  .sh--gnav-btn-close:hover {
    cursor: pointer;
  }

  /* OVERLAY */
  #gnav .overlay {
    position: fixed;
    flex-flow: column;
    display: none;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    z-index: 9000;
    width: 100%;
    height: 100vh;
    background-image: url(../img/gnav_bg.webp);
    background-size: cover;
    background-position: center top;
  }
  #gnav .overlay > .inner {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: auto;
    padding: 80px 50px 50px;
    z-index: 10;
  }
  #gnav .overlay > .inner > .btn {
    position: absolute;
    top: 28px;
    right: 28px;
  }
  #gnav .overlay > .inner > .btn a {
    display: block;
    width: 48px;
    height: 48px;
  }
  #gnav .overlay > .inner > .btn a::before,
  #gnav .overlay > .inner > .btn a::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 1px;
    height: 48px;
    background: #FFF;
  }
  #gnav .overlay > .inner > .btn a::before {
    transform: translate(-50%,-50%) rotate(45deg);
  }
  #gnav .overlay > .inner > .btn a::after {
    transform: translate(-50%,-50%) rotate(-45deg);
  }

  #gnav .overlay[style*='display: block']{
    position: fixed;
    display: none;
    top: 0;
    left: 0;
    z-index: 9000;
    width: 100%;
    height: 100vh;
    background: #23282B;
    justify-content: center;
    align-items: center;
  }

  #gnavmenu {
    position: relative;
    margin: auto;
    max-width: 300px;
    min-width: 220px;
  }
  #gnavmenu .header {
    margin-bottom: 40px;
  }
  #gnavmenu .header .logo {
    width: 180px;
    margin-bottom: 10px;
  }
  #gnavmenu .header .logo img {
    width: 100%;
  }
  #gnavmenu .header > p {
    width: 180px;
    font-size: 1rem;
    color: #FFF;
    text-align: justify;
    text-align-last: justify;
    margin-bottom: 20px;
  }
  #gnavmenu .header .insta {
    width: 32px;
    position: absolute;
    top: 20px;
    left: 220px;
  }
  #gnavmenu .nav {
    margin-bottom: 30px;
  }
  #gnavmenu .nav nav {
    display: flex;
    justify-content: space-between;
    font-size: 1.4rem;
    line-height: 1;
  }
  #gnavmenu .nav nav ul > li + li {
    margin-top: 22px;
  }
  #gnavmenu .nav nav a {
    display: block;
    color: #FFF;
  }
  #gnavmenu .btn .btn1 {
    width: 100%;
    font-size: 1.4rem;
    line-height: 1;
    margin-bottom: 20px;
  }
  #gnavmenu .btn .btn1 li {
    border-bottom: 1px solid #FFF;
  }
  #gnavmenu .btn .btn1 li:first-child {
    border-top: 1px solid #FFF;
  }
  #gnavmenu .btn .btn1 a {
    display: block;
    color: #FFF;
    text-align: center;
    padding: 12px 0;
  }
  #gnavmenu .btn .btn2 {
    width: 100%;
    font-size: 1.4rem;
    line-height: 1;
    margin-bottom: 20px;
  }
  #gnavmenu .btn .btn2 li + li {
    margin-top: 8px;
  }
  #gnavmenu .btn .btn2 a {
    display: block;
    padding: 10px 0;
    color: #23282B;
    text-align: center;
    background-color: #ECEDE7;
  }
  #gnavmenu .btn .btn3 {
    font-size: 1.3rem;
    line-height: 1;
  }
  #gnavmenu .btn .btn3 a {
    color: #FFF;
  }
  
}


/* ==================================================
/* DESKTOP
================================================== */
@media (768px < width) {
  
  #gnav {
    position: relative;
    z-index: 6000;
    
    /* OPEN / CLOSE BTNS */
    > .btn {
      position: absolute;
      top: 32px;
      right: 30px;
      z-index: 1;
      display: inline;
      a {
        position: relative;
        display: flex;
        flex-flow: column;
        justify-content: space-between;
        width: 48px;
        height: 18px;
        text-decoration: none;
      }
      a span {
        width: 100%;
        height: 2px;
        background-color: #24282B;
      }
    }

    .sh--gnav-btn-close {
      position: fixed;
      top: 50px;
      right: 50px;
    }
    .sh--gnav-btn-close:hover {
      cursor: pointer;
    }
    
    /* OVERLAY */
    .overlay {
      position: fixed;
      flex-flow: column;
      display: none;
      justify-content: center;
      align-items: center;
      top: 0;
      left: 0;
      z-index: 9000;
      width: 100%;
      height: 100vh;
      background-image: url(../img/gnav_bg.webp);
      background-size: cover;
      background-position: center top;
      
      > .inner {
        position: relative;
        width: 100%;
        height: 100vh;
        overflow: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 50px;
        z-index: 10;
        
        > .btn a {
          display: block;
          position: absolute;
          top: 60px;
          right: 60px;
          width: 60px;
          height: 60px;
          &::before,
          &::after {
            content: '';
            position: absolute;
            top: 50%;
            left: 50%;
            width: 1px;
            height: 60px;
            background: #FFF;
          }
          &::before {
            transform: translate(-50%,-50%) rotate(45deg);
          }
          &::after {
            transform: translate(-50%,-50%) rotate(-45deg);
          }
        }
        
      }
    }
    .overlay[style*='display: block']{
      position: fixed;
      display: none;
      top: 0;
      left: 0;
      z-index: 9000;
      width: 100%;
      height: 100vh;
      background: #23282B;
      justify-content: center;
      align-items: center;
    }
    
  }
  
  #gnavmenu {
    position: relative;
    width: 920px;
    .header {
      display: flex;
      flex-flow: column;
      align-items: center;
      width: 260px;
      margin-bottom: 40px;
      .logo {
        width: 100%;
        margin-bottom: 10px;
        img {
          width: 100%;
        }
      }
      > p {
        width: 100%;
        font-size: 1.7rem;
        color: #FFF;
        text-align: justify;
        text-align-last: justify;
        margin-bottom: 20px;
      }
    }
    .nav {
     position: absolute;
      top: 40px;
      right: 0;
      nav {
        display: flex;
        justify-content: space-between;
        font-size: 1.6rem;
        line-height: 1;
        ul > li + li {
          margin-top: 18px;
        }
        ul:first-child {
          margin-right: 50px;
        }
        ul:last-child {
          width: max-content;
        }
        a {
          display: block;
          color: #FFF;
        }
      }
    }
    .btn {
      .btn1 {
        position: absolute;
        top: 210px;
        right: 0;
        width: 166px;
        font-size: 1.6rem;
        line-height: 1;
        li {
          border-bottom: 1px solid #FFF;
        }
        li:first-child {
          border-top: 1px solid #FFF;
        }
        a {
          display: block;
          color: #FFF;
          text-align: center;
          padding: 12px 0;
        }
      }
      .btn2 {
        width: 260px;
        font-size: 1.4rem;
        line-height: 1;
        li + li {
          margin-top: 12px;
        }
        a {
          display: block;
          padding: 8px 0;
          color: #23282B;
          text-align: center;
          background-color: #ECEDE7;
        }
      }
      .btn3 {
        position: absolute;
        top: 312px;
        left: 570px;
        font-size: 1.6rem;
        line-height: 1;
        a {
          color: #FFF;
        }
      }
    }
    
  }
  
}

